# OpenGl_LightBox.h File Reference

`#include <GL/gl.h>`
`#include <OpenGl_tgl_all.h>`
`#include <OpenGl_telem.h>`
`#include <OpenGl_tsm.h>`

## Defines

#define | OpenGLMaxLights 8

## Typedefs

typedef * | tel_light

## Functions

TStatus | AddLight (Tint WksID, Tint LightID, tel_light light)
TStatus | UpdateLight (Tint WksID)
TStatus | RemoveLight (Tint WksID, Tint LightID)
TStatus | RemoveWksLight (Tint WksID)
TStatus | ResetWksLight (Tint WksID)
void | LightOn (void)
void | LightOff (void)
GLboolean | IsLightOn (void)

## Define Documentation

#define OpenGLMaxLights 8

## Typedef Documentation

typedef * tel_light

## Function Documentation

TStatus AddLight | ( | Tint | WksID,
|  | Tint | LightID,
|  | tel_light | light
| ) |

GLboolean IsLightOn | ( | void |  | ) |

void LightOff | ( | void |  | ) |

void LightOn | ( | void |  | ) |

TStatus RemoveLight | ( | Tint | WksID,
|  | Tint | LightID
| ) |

TStatus RemoveWksLight | ( | Tint | WksID | ) |

TStatus ResetWksLight | ( | Tint | WksID | ) |

TStatus UpdateLight | ( | Tint | WksID | ) |